Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-7423

Make Pcore loaders available to relevant CLI apps

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Team:
      Puppet Developer Experience
    • Story Points:
      2
    • Sprint:
      PDE 2017-04-05, PDE 2017-04-19
    • Release Notes:
      Not Needed
    • Release Notes Summary:
      part of experimental support for rich data types
    • QA Risk Assessment:
      No Action

      Description

      The Pcore loader is normally initialized by the compiler. For CLI applications such as puppet apply, puppet resource, or puppet device, there might never be a compiler available. Those commands needs to initialize the loaders differently.

      Exploratory work for this has already been made on a test branch used by netconf.

      Loading without compiler also relates to PUP-7197 since these commands are expected to function when executed on the agent.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              qa qa
              Reporter:
              thomas.hallgren Thomas Hallgren
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support